[Reflection.Assembly]::LoadWithPartialName("Microsoft.AnalysisServices")
$server = New-Object Microsoft.AnalysisServices.Server
$server.connect("localhost\TABULAR")
$db = $server.Databases.Item("AdventureWorks Tabular Model SQL 2012")
$dsv = $db.DataSourceViews.FindByName("Sandbox")
$cube = $db.Cubes.FindByName("Model")
$measureGroup = $cube.MeasureGroups.FindByName("Internet Sales")
$partition = $measureGroup.Partitions.FindByName("Internet Sales - 2006")
$queryBinding = New-Object Microsoft.AnalysisServices.QueryBinding( $dsv.DataSourceID, "SELECT * FROM FactInternetSales WHERE OrderDateKey >= 20120215" )
$partition.Process( "ProcessAdd", $queryBinding )
$server.Disconnect()
