[Reflection.Assembly]::LoadWithPartialName("Microsoft.AnalysisServices")
$server = New-Object Microsoft.AnalysisServices.Server
$server.connect("localhost\TABULAR")
$server.BeginTransaction()
$db = $server.Databases.Item("AdventureWorks Tabular Model SQL 2012")
$tableProduct = $db.Dimensions.FindByName("Product")
$tableInternetSales = $db.Dimensions.FindByName("Internet Sales")
$tableProduct.Process("ProcessData")
$tableInternetSales.Process("ProcessData")
$db.Process("ProcessRecalc")
$server.CommitTransaction()
$server.Disconnect()